## pekwm 0.1.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake/Modules/")
include(CheckSymbolExists)
include(CheckCXXCompilerFlag)

project(pekwm)
set(pekwm_VERSION_MAJOR 0)
set(pekwm_VERSION_MINOR 1)
set(pekwm_VERSION_PATCH 18)
set(pekwm_VERSION "${pekwm_VERSION_MAJOR}.${pekwm_VERSION_MINOR}.${pekwm_VERSION_PATCH}")

# Check for C++11
check_cxx_compiler_flag(-std=c++11 HAS_CXX11)
if (HAS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
else (HAS_CXX11)
  message(FATAL_ERROR "Compiler with C++11 support is required")
endif (HAS_CXX11)

# Look for dependencies
find_package(X11 REQUIRED)
find_package(Iconv REQUIRED)
find_package(Freetype)
find_package(JPEG)
find_package(PNG)

# Look for platform specific methods
check_function_exists(swprintf HAVE_SWPRINTF)
check_function_exists(setenv HAVE_SETENV)
check_function_exists(unsetenv HAVE_UNSETENV)
check_symbol_exists(timersub sys/time.h HAVE_TIMERSUB)

# Look for platform specific tools
find_program(GSED gsed /usr/bin /usr/local/bin /usr/pkg/bin)
if (GSED)
  set(SED ${GSED})
else (GSED)
  find_program(SED sed /usr/bin /usr/local/bin /usr/pkg/bin)
endif (GSED)

find_program(SH sh /usr/xpg4/bin/sh /bin/sh /usr/xpg4/bin)

# Optons
option(DEBUG "include verbose debugging code")
option(PEDANTIC "turn on strict compile-time warnings")

# Compilation
if (X11_Xshape_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} XShape")
  set(HAVE_SHAPE 1)
endif (X11_Xshape_FOUND)

if (X11_Xinerama_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} Xinerama")
  set(HAVE_XINERAMA 1)
endif (X11_Xinerama_FOUND)

if (X11_Xft_FOUND AND FREETYPE_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} Xft")
  set(HAVE_XFT 1)
endif (X11_Xft_FOUND AND FREETYPE_FOUND)

if (PNG_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} image-png")
  set(HAVE_IMAGE_PNG 1)
endif (PNG_FOUND)

if (JPEG_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} image-jpeg")
  set(HAVE_IMAGE_JPEG 1)
endif (JPEG_FOUND)

if (X11_Xpm_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} image-xpm")
  set(HAVE_IMAGE_XPM 1)
endif (X11_Xpm_FOUND)

if (X11_Xrandr_FOUND)
  set(pekwm_FEATURES "${pekwm_FEATURES} Xrandr")
  set(HAVE_XRANDR 1)
endif (X11_Xrandr_FOUND)

if (DEBUG)
  set(pekwm_FEATURES "${pekwm_FEATURES} debug")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
endif (DEBUG)

if (PEDANTIC)
  set(pekwm_FEATURES "${pekwm_FEATURES} pedantic")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic")
endif (PEDANTIC)

add_definitions(-DVERSION="${pekwm_VERSION}"
  -DFEATURES="${pekwm_FEATURES}"
  -DDATADIR="${CMAKE_INSTALL_PREFIX}/share"
  -DSYSCONFDIR="${CMAKE_INSTALL_PREFIX}/etc/pekwm")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH True)

# Subdirectories
add_subdirectory(contrib)
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(src)

=== contrib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(lobo)

=== data/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(themes)
add_subdirectory(scripts)

install(FILES
  autoproperties
  autoproperties_typerules
  config
  config_system
  keys
  menu
  mouse
  mouse_system
  mouse_click
  mouse_sloppy
  start
  vars
  DESTINATION etc/pekwm/)

=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

install(FILES
  pekwm.1
  DESTINATION share/man/man1)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

configure_file(${CMAKE_SOURCE_DIR}/CMake/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(pekwm_SOURCES
  ActionHandler.cc
  ActionMenu.cc
  AutoProperties.cc
  CfgParser.cc
  CfgParserKey.cc
  CfgParserSource.cc
  Compat.cc
  Completer.cc
  Client.cc
  CmdDialog.cc
  Config.cc
  DockApp.cc
  Frame.cc
  FontHandler.cc
  FrameListMenu.cc
  Harbour.cc
  ImageHandler.cc
  InputDialog.cc
  KeyGrabber.cc
  LayouterTiling.cc
  ManagerWindows.cc
  MenuHandler.cc
  Observable.cc
  PDecor.cc
  PFont.cc
  PMenu.cc
  PTexturePlain.cc
  PWinObj.cc
  PWinObjReference.cc
  PImage.cc
  PImageIcon.cc
  RegexString.cc
  StatusWindow.cc
  SearchDialog.cc
  Theme.cc
  TextureHandler.cc
  Util.cc
  WORefMenu.cc
  WindowManager.cc
  WinLayouter.cc
  Workspaces.cc
  WorkspaceIndicator.cc
  x11.cc
  main.cc)
set(pekwm_INCLUDE_DIRS ${PROJECT_BINARY_DIR}/src ${ICONV_INCLUDE_DIR} ${X11_INCLUDE_DIR})
set(pekwm_LIBRARIES ${ICONV_LIBRARIES} ${X11_LIBRARIES})

if (DEBUG)
  set(pekwm_SOURCES ${pekwm_SOURCES} Debug.cc)
endif (DEBUG)

if (X11_Xshape_FOUND)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${X11_Xshape_INCLUDE_PATH})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${X11_Xshape_LIB})
endif (X11_Xshape_FOUND)

if (X11_Xinerama_FOUND)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${X11_Xinerama_INCLUDE_PATH})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${X11_Xinerama_LIB})
endif (X11_Xinerama_FOUND)

if (X11_Xft_FOUND AND FREETYPE_FOUND)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${X11_Xft_INCLUDE_PATH} ${FREETYPE_INCLUDE_DIRS})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${X11_Xft_LIB} ${FREETYPE_LIBRARIES})
endif (X11_Xft_FOUND AND FREETYPE_FOUND)

if (JPEG_FOUND)
  set(pekwm_SOURCES ${pekwm_SOURCES} PImageLoaderJpeg.cc)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${JPEG_INCLUDE_DIR})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${JPEG_LIBRARY})
endif (JPEG_FOUND)

if (PNG_FOUND)
  set(pekwm_SOURCES ${pekwm_SOURCES} PImageLoaderPng.cc)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${PNG_INCLUDE_DIR})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${PNG_LIBRARY_RELEASE})
endif (PNG_FOUND)

if (X11_Xpm_FOUND)
  set(pekwm_SOURCES ${pekwm_SOURCES} PImageLoaderXpm.cc)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${X11_Xpm_INCLUDE_PATH})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${X11_Xpm_LIB})
endif (X11_Xpm_FOUND)

if (X11_Xrandr_FOUND)
  set(pekwm_INCLUDE_DIRS ${pekwm_INCLUDE_DIRS} ${X11_Xrandr_INCLUDE_PATH})
  set(pekwm_LIBRARIES ${pekwm_LIBRARIES} ${X11_Xrandr_LIB})
endif (X11_Xrandr_FOUND)

add_executable(pekwm ${pekwm_SOURCES})
target_include_directories(pekwm PUBLIC ${pekwm_INCLUDE_DIRS})
target_link_libraries(pekwm ${pekwm_LIBRARIES})

# Use when CMake 3.1 is available/required
set_target_properties(pekwm PROPERTIES
  CXX_STANDARD 11
  CXX_STANDARD_REQUIRED ON)

install(TARGETS pekwm DESTINATION bin)

=== contrib/lobo/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

=== data/scripts/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pekwm_themeset.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/pekwm_themeset.sh @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pekwm_ws_menu.sh.in
  ${CMAKE_CURRENT_BINARY_DIR}/pekwm_ws_menu.sh @ONLY)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/pekwm_ws_menu.sh
  ${CMAKE_CURRENT_BINARY_DIR}/pekwm_themeset.sh
  pekwm_screenshot.sh
  DESTINATION share/pekwm/scripts
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== data/themes/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(default)
add_subdirectory(default-plain)
add_subdirectory(pion)

=== data/themes/default-plain/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

install(FILES
  theme
  DESTINATION share/pekwm/themes/default-plain)

=== data/themes/default/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

file(GLOB default_png_files "${CMAKE_CURRENT_SOURCE_DIR}/*.png")

install(FILES
  theme
  ${default_png_files}
  DESTINATION share/pekwm/themes/default)

=== data/themes/pion/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

install(FILES
  theme
  DESTINATION share/pekwm/themes/pion)

## pekwm 0.1.12

=== debian/changelog ===
pekwm (0.1.12-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/autotools-dev-update-config-guess.diff.
  * Remove debian/patches/call-mktemp-with-proper-number-of-X.diff:
    Applied by upstream.

 -- Daniel Moerner <dmoerner@gmail.com>  Fri, 16 Apr 2010 23:39:57 -0700

pekwm (0.1.11-3) unstable; urgency=low

  * Finish conversion to dpkg-source 3.0 (quilt) by adding proper series
    file.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 04 Mar 2010 00:02:37 -0800

pekwm (0.1.11-2) unstable; urgency=low

  * Convert to dpkg-source 3.0 (quilt).
  * debian/control:
    - Build-Depend on libjpeg-dev and libpng-dev virtual packages, this
      fixes the JPEG 8 transition.
    - Bump to Debian Policy 3.8.4.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 18:27:26 -0800

pekwm (0.1.11-1) unstable; urgency=low

  * New Upstream Version
    - debian/patches/properly-handle-nullglob-in-themes-script.diff:
      Removed, integrated upstream.
    - debian/patches/make-empty-themes-dir-in-home-dir-on-first-run.diff:
      Removed, integrated upsteam.
    - debian/patches/call-mktemp-with-proper-number-of-X.diff:
      Versions 1.6-2 of mktemp and newer must be called with at least six 
      X's in the name of the temp file. This patch fixes pekwm_themeset.sh
      so it follows this change.
  * debian/watch: Fix to work with new upstream website layout. 
  * debian/copyright: Update to 2009 copyrights and point to GPL-2.
  * debian/control: Bump to 3.8.1 Standards Version, add DM-Upload-Allowed.
  * debian/rules: Remove deprecated dh_desktop call.
  
 -- Daniel Moerner <dmoerner@gmail.com>  Mon, 25 May 2009 21:40:21 -0700

pekwm (0.1.10-1) unstable; urgency=low

  * New Upstream Version
    - debian/patches/properly-handle-nullglob-in-themes-script.diff: Don't 
      output '*' as a theme name if theme directory is empty or display 
      arbitrary non-directories in theme menu. Patch written by me and 
      integrated in upstream git.
    - debian/patches/make-empty-themes-dir-in-home-dir-on-first-run.diff:
      Make empty ~/.pekwm/themes directory on first run if it doesn't 
      already exist, preventing an ugly error message using default menu
      configuration. Patch written by me and integrated in upstream git.
  * Added Homepage, Vcs-Git, and Vcs-Browser fields to debian/control.
  * Updated Upstream Authors field in debian/copyright.
  * Updated Build-Depends to point at libpng2-dev and libjpeg62-dev instead
    of non-existent libpng-dev and libjpeg-dev packages.
  * contrib/ scripts are now installed in /usr/share/pekwm and documented in
    README.Debian. Added zenity to Suggests to support new contrib scripts.
  * Removed obsolete debian/NEWS
  
 -- Daniel Moerner <dmoerner@gmail.com>  Fri, 30 Jan 2009 15:23:24 -0800

pekwm (0.1.9a-1) unstable; urgency=low

  * New Upstream Version
  * Removed include-cstdio-for-gcc-4.4.diff as it has been forwarded and
    now integrated upstream.
  * Add quilt patch description to satisfy lintian. 

 -- Daniel Moerner <dmoerner@gmail.com>  Tue, 23 Dec 2008 21:00:09 -0800

pekwm (0.1.8-2) unstable; urgency=low

  * Use dh_prep instead of dh_clean -k in debian/rules 
  * include-stdio-for-gcc-4.4.diff: Properly include cstdio so it isn't
    just included indirectly. (Closes: #505590)

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 13 Nov 2008 14:52:25 -0800

pekwm (0.1.8-1) unstable; urgency=low

  * New Upstream Version
  * Removed as integrated upstream:
    - 01-give-manpage-name-section.dpatch 
    - 02-use-minus-not-hyphen.dpatch
    - 04-use-x-terminal-emulator-as-term.dpatch (removed manpage changes)
  * debian/pekwm.menu-method: Remove trailing } from debian-menu.  Many
    thanks to Julien Rivaud for the patch. (Closes: #503545)
  * Switched to quilt to manage patching

 -- Daniel Moerner <dmoerner@gmail.com>  Sun, 02 Nov 2008 09:51:29 -0800

pekwm (0.1.7-3) unstable; urgency=low

  * Added debian/wm and removed postinst calls: dh_installwm and
    dh_installmenu do this for us.
  * Clean up debian/rules, switch to debhelper compat 7
  * Removed superfluous debian/dirs
  * Added debian/install to install .desktop file
  * Added debian/README.source to fulfill Policy 4.14
  * Added 04-use-x-terminal-emulator-as-term.dpatch
  * debian/pekwm.menu-method: 
    - Properly escape quotes (Closes: #503107)
    - Fix typo that results in extra "=" in submenus (Closes: #503187)
    - Install into debian-menu file; only generate applications list
  * Add 05-make-new-default-menu.dpatch: dynamically create menu from
    debian-menu file. (Closes: #503041)
  * debian/pekwm.prerm: Remove /etc/pekwm/debian-menu to allow purge
  * Added debian/NEWS: Upgrades from 0.1.7-2 will not update the menu.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 23 Oct 2008 11:57:24 -0700

pekwm (0.1.7-2) unstable; urgency=low

  * Added libxinerama-dev as a Build-Depends so --enable-xinerama
    actually works.  (LP: #131302)
  * Added autotools-dev as a Build-Depends so updates of config.guess work
  * Added debian/pekwm.menu-method, Depends: menu, and removed patch 
    to original menu for xterm: Many thanks to Paolo D'Emilio for providing 
    a sample pekwm file.
  * Added postinst and prerm scripts to handle alternatives and update-menu
  * Fix Lintian problems:
    - Added debian/watch
    - 02-use-minus-not-hyphen.dpatch: Really escape minuses in manpage 
    - 03-autotools-dev-update-config-guess.dpatch: Keep config files out 
      of diff. This also fixes a nasty bug with vcs-managed packaging.

 -- Daniel Moerner <dmoerner@gmail.com>  Thu, 18 Sep 2008 14:41:03 -0700

pekwm (0.1.7-1) unstable; urgency=low

  * New upstream release (Closes: #445447) 
  * New maintainer
  * Removed TODO from debian/docs so it builds from source in new version.
  * Added Depends on x11-utils for xprop (Closes: #493827)
  * Added dpatch to manage manpage changes
  * 01-use-x-terminal-emulator.dpatch (Closes: #493827)
  * Fixed lintian warnings:


=== debian/control ===
Source: pekwm
Section: x11
Priority: optional
Maintainer: Daniel Moerner <dmoerner@gmail.com>
Build-Depends: debhelper (>= 7), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
Homepage: http://pekwm.org/projects/pekwm
DM-Upload-Allowed: yes

Package: pekwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-utils, menu
Suggests: zenity
Provides: x-window-manager
Description: Fast & Light Window Manager
 The Pek Window Manager is written by Claes Nästen,
 the code is based on the aewm++ window manager,
 but it has evolved enough that it no longer resembles aewm++ at all.
 It has a much expanded feature-set, including window grouping
 (similar to ion, pwm, or fluxbox), autoproperties, xinerama,
 keygrabber that supports keychains, and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc/ \
	--enable-shape \
	--enable-xinerama \
	--enable-xrandr \
	--enable-xft \
	--enable-image-xpm \
	--enable-image-jpeg \
	--enable-image-png \
	--enable-menus \
	--enable-harbour
	touch configure-stamp


build: configure build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

	# Change permissions on start file
	chmod +x debian/pekwm/etc/pekwm/start

	# Manually install contrib README files to resolve name conflicts
	install --mode=644 -D contrib/lobo/README \
		debian/pekwm/usr/share/doc/pekwm/README.contrib.lobo

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installwm
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://pekwm.org/projects/pekwm/ \
	/projects/pekwm/files/pekwm-(.*)\.tar\.gz

## pekwm 0.1.13

=== debian/changelog ===
pekwm (0.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #636142).
  * debian/changelog
    - Remove EOL whitespaces.
  * debian/copyright
    - Update to DEP 5.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Description): update first line.
    - (Maintainer): Change to correct address.
    - (Standards-Version): Update to 3.9.2.
  * debian/patches
    - (10): New. Modeled after old patch.
    - (20): Rename and refresh with git headers (DEP 3).
    - (make-new-default-menu): Remove, doesn't apply.
  * debian/pekwm.menu-method
    - Remove EOL whitespaces.
  * debian/pekwm.desktop
    - (Encoding): Remove. UTF-8 is the default.
  * debian/rules
    - Rewrite to dh(1).
  * debian/watch
    - Update URL and regexp.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 15:20:05 +0300

pekwm (0.1.12-2) unstable; urgency=low

  * New maintainer.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 31 Oct 2010 12:50:09 +0200

=== debian/control ===
Source: pekwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
Homepage: http://pekwm.org/projects/pekwm
DM-Upload-Allowed: yes

Package: pekwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-utils, menu
Suggests: zenity
Provides: x-window-manager
Description: very light window manager
 The Pek Window Manager is written by Claes Nästen,
 the code is based on the aewm++ window manager,
 but it has evolved enough that it no longer resembles aewm++ at all.
 It has a much expanded feature-set, including window grouping
 (similar to ion, pwm, or fluxbox), autoproperties, xinerama,
 keygrabber that supports keychains, and much more.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc/ \
	--enable-shape \
	--enable-xinerama \
	--enable-xrandr \
	--enable-xft \
	--enable-image-xpm \
	--enable-image-jpeg \
	--enable-image-png \
	--enable-menus \
	--enable-harbour

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

	# Change permissions on start file
	chmod +x debian/pekwm/etc/pekwm/start

	# Manually install contrib README files to resolve name conflicts
	install --mode=644 -D contrib/lobo/README \
		debian/pekwm/usr/share/doc/pekwm/README.contrib.lobo

%:
	dh $@

# End of file

## pekwm 0.1.14

=== debian/changelog ===
pekwm (0.1.14-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - (debian/*): Update year.
  * debian/patches
    - (30): New. Support whitespace variations (partial fix to #644073).
  * debian/rules
    - Use hardened CXXFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 09 Feb 2012 15:06:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/buildflags.mk
+CXXFLAGS += -Wall -pedantic
+LDFLAGS	 += -Wl,--as-needed
+
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
+	CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
+	./configure \
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
@@ -14,9 +20,10 @@
 	--enable-xft \
 	--enable-image-xpm \
 	--enable-image-jpeg \
-	--enable-image-png \
-	--enable-menus \
-	--enable-harbour
+	--enable-image-png
+	# No longer in 0.1.13
+	# --enable-menus
+	# --enable-harbour
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

## pekwm 0.1.15

=== debian/changelog ===
pekwm (0.1.15-1) unstable; urgency=low

  * New upstream release
    - Correct theme change script (Closes: #644073).
  * debian/patches
    - (10): Refresh for current release.
    - (30): Remove theme fix; accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 16 Sep 2012 16:52:23 +0300

pekwm (0.1.14-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 14:18:10 -0400

## pekwm 0.1.17

=== debian/changelog ===
pekwm (0.1.17-1) unstable; urgency=low

  * New upstream release.
    - Fix infinite loop run on psuedocolor visual (Closes: #688001).
  * debian/control
    - (DM-Upload-Allowed): Remove. Obsolete.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - List all Debian authors.
  * debian/patches
    - (10): refresh.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 Jun 2013 14:13:31 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/pekwm.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pekwm.git
+Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxrandr-dev, libxft-dev, libpng-dev, libjpeg-dev, libxinerama-dev, autotools-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/pekwm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pekwm.git
 Homepage: http://pekwm.org/projects/pekwm
-DM-Upload-Allowed: yes
 
 Package: pekwm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/buildflags.mk
-CXXFLAGS += -Wall -pedantic
-LDFLAGS	 += -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 override_dh_auto_configure:
-	CXXFLAGS="$(CXXFLAGS)" \
+	CXXFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 	LDFLAGS="$(LDFLAGS)" \
 	./configure \
 	--host=$(DEB_HOST_GNU_TYPE) \

## pekwm 0.1.18

=== debian/changelog ===
pekwm (0.1.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/patches/:
      - {30-reproducible-build*, 40-spelling*, 50_fix-FTBFS*}: dropped.
        Merged in upstream new release.
      - Refreshed remaining patches.
      - Renamed remaining patches from 10-menu* 20-use* 60_fix* and 70_shebang*
        to 10_menu*, 20_use*, 30_fix* and 40_shebang* to form a sequence.
  * debian/rules:
      - Changed ./configure [parameters] to use dh_auto_configure --
        [parameters] in override_dh_auto_configure.
      - Explicitly pass sed path to configure to fix reproducible build
        on merged-usr vs non-merged systems. Thanks to Andreas Henriksson
        <andreas@fatal.se>. (Closes: #915845)
      - Removed redundant configure parameters.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Thu, 17 Dec 2020 17:47:30 -0300

pekwm (0.1.17-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920090)
  * Using new DH level format. Therefore:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Improved and reorganized the long description.
      - Removed autotools-dev from Build-Depends. Already a dependency of
        debhelper-compat.
      - Updated Homepage field.
      - Updated Vcs-* fields to point to Salsa.
  * debian/copyright:
      - Removed X-* fields.
      - Reorganized upstream copyright declaration.
      - Updated and reorganized packging copyright field.
      - Updated upstream contact and source information.
  * debian/patches/:
      - 50_fix-FTBFS-with-gcc-10.patch: cherry-picked from upstream to fix a
        FTBFS bug. (Closes: #957672)
      - 60_fix-typo.patch: created.
      - 70_shebang-policy-compliance.patch: created to conform to debian policy.
  * debian/pekwm.menu: removed. As a .desktop file is present, a .menu must not.
  * debian/rules: removed --as-needed flag as suggested by lintian and also the
    -Wl because it is already present in LDFLAGS.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/options: removed. dh_autoreconf* now deals with auto-tools
    files changes and it's not necessary to use extend-diff-ignore.
  * debian/tests/control: created to provide superficial CI tests for the
    package.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Updated regular expression and website address.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sat, 07 Nov 2020 12:26:06 -0300

pekwm (0.1.17-3) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/patches
    - (30): New. Make build reproducible (Closes: 829728).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.
    - (40): New. correct spelling.
  * debian/source/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 14:59:30 +0300

pekwm (0.1.17-2) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.6.1.
  * debian/copyright
    - Update years.
  * debian/pekwm.desktop
    - (Keywords): Add.
  * debian/patches
    - (10): Use full path /etc/pekwm/debian-menu (Closes: #779864).
      Patch thanks to <stuart.mclaren@hp.com>

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 06 Mar 2015 10:12:09 +0200

=== debian/control ===
Source: pekwm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libjpeg-dev,
               libpng-dev,
               libx11-dev,
               libxft-dev,
               libxinerama-dev,
               libxpm-dev,
               libxrandr-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/pekwm.git
Vcs-Browser: https://salsa.debian.org/debian/pekwm
Homepage: https://github.com/pekdon/pekwm/

Package: pekwm
Architecture: any
Depends: menu, x11-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: zenity
Provides: x-window-manager
Description: very light window manager
 Pekwm is a window manager that once up on a time was based on the aewm++ window
 manager, but it has evolved enough that it no longer resembles aewm++ at all.
 It has a much expanded feature-set, including window grouping (similar to ion,
 pwm, or fluxbox), autoproperties, xinerama, keygrabber that supports keychains,
 and much more.
 .
 Some of its characteristics are:
   * Lightweight and Unobtrusive, a window manager shouldn't be noticed.
   * Very configurable, everyone work and think in different ways.
   * Automatic properties, for all the lazy people, make things appear as they
     should when starting applications.
   * Chainable Keygrabber, usability for everyone.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic

override_dh_auto_configure:
	CXXFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	SED=/bin/sed \
	dh_auto_configure -- \
	--enable-shape \
	--enable-xinerama \
	--enable-xrandr \
	--enable-xft \
	--enable-image-xpm \
	--enable-image-jpeg \
	--enable-image-png

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pekwm

	# Change permissions on start file
	chmod +x debian/pekwm/etc/pekwm/start

	# Manually install contrib README files to resolve name conflicts
	install --mode=644 -D contrib/lobo/README \
		debian/pekwm/usr/share/doc/pekwm/README.contrib.lobo

%:
	dh $@

=== debian/tests/control ===
Test-Command: pekwm --help
Restrictions: superficial

Test-Command: pekwm --version
Restrictions: superficial

Test-Command: pekwm --info
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/pekdon/pekwm/releases \
    .*/archive/release?\-?@ANY_VERSION@@ARCHIVE_EXT@
